Subject: [Roll] Determining DADR Contributions

From: Sung Lee <[email-masked]>
Date: Fri, 11 Sep 2009 10:21:20 -0400

Dear ROLL WG members,

This is a follow up to what we said we would post to the mailing list.
Although this is the summary of simulation of 802.11b and 802.15.4 
comparison, we are currently working on the real test. We hope that we 
can provide this result before the ROLL interim meeting.

We would appreciate any comments.
Best regards,
Sung

> ------------------------------
>
> Message: 2
> Date: Thu, 30 Jul 2009 17:21:21 -0400
> From: "Ryusuke Masuoka" <[email-masked]>
> Subject: [Roll] Determining DADR Contributions
> To: "'ROLL WG'" <[email-masked]>
> Message-ID: <014601ca115b$b0629fb0$1127df10$@[email-masked]>
> Content-Type: text/plain;	charset="us-ascii"
>
> Hi, ROLL WG members,
>
> In order to move ahead and for us to determine what we/DADR can
> contribute, we (Fujitsu) would like to do the following.
>
> At the ROLL meeting, we realized that many people are interested in
> 802.15.4 radio. Our current implementation is on 802.11b radio (1
> Mbps) and two wireless characteristics are different. We thought that
> many ROLL members could not determine how good DADR would be when it
> is applied to 802.15.4 radio. In that regard:
>
> (1) We will provide PER (packet error rate) and other wireless
>   characteristics for both 802.11b (which we already have) and 802.15.4
>   radios in a couple of weeks.
>
> (2) We will share our DADR 802.15.4 radio implementation experiment
>   results by the end of August or in early September.
>
>   It would be a rather small (50 nodes or so) and preliminary with
>   experiment assumptions, (average) hops, data reachability, etc.  (We
>   plan to do a larger experiments (in the order of hundreds of nodes),
>   but it will be somewhat later.)
>
>   As this is done as a part of system test for customer deployment, we
>   are not sure we can accommodate them all, but please let us know
>   what kinds of things/conditions/assumptions we should
>   incorporate/consider/make in this experiment. We would appreciate
>   your input very much.
>
> We also plan to see which LLN requirements DADR meets or not, according
> to:
>
>   Overview of Existing Routing Protocols for Low Power and Lossy Networks
>   draft-ietf-roll-protocols-survey-07
>
> so that we can better determine which parts of DADR are useful or not.
>
> We will try to be as fair as possible. However, if someone can
> volunteer to do this, that would be great as we can get a third-party
> evaluation, we would appreciate it very much and we will support the
> person/group with the information necessary. (... but I am afraid that
> everyone other than us is too busy for this.)
>
> Regards,
>
> Ryu
>
>
>
>
>

---

From: Mischa Dohler <[email-masked]>
Date: Wed, 16 Sep 2009 12:48:09 +0200

Dear Sung,

These connectivity graphs look convincing; however, I guess that one of 
your underlying assumptions is that you run the .15.4 network whilst the 
.11 network is switched off. In reality, you will have loads of already 
deployed .11 networks heavily interfering with your .15.4 network which 
immediately impacts connectivity.

Mischa.

Sung Lee wrote:
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll

---

From: [email-masked]
Date: Wed, 16 Sep 2009 08:46:34 -0500

Mischa,

802.15.4 was designed with 802.11 in mind.  802.15.4 is channelized with 
15 channels in the 2.4gHz band.  Following is an excerpt from the IEEE 
802.15.4 specification.  Note how channels 15, 20, 25 and 26 run in the 
guardbands of 802.11 channels 1, 6 and 11.  Empirical testing has shown 
that the two wireless technologies can nicely coexist if these channels 
are used...

Mischa Dohler <[email-masked]> 
Sent by: [email-masked]
09/16/2009 05:53 AM

To
Sung Lee <[email-masked]>
cc
[email-masked]
Subject
Re: [Roll] Determining DADR Contributions

Dear Sung,

Mischa.

---

From: Mischa Dohler <[email-masked]>
Date: Wed, 16 Sep 2009 15:59:26 +0200

Jerry, thanks for the info. I know the theory and both standards fairly 
well. As per your own words, the problem is exactly "if these channels 
are used". Note that your WLAN equipment is not bound to use these 3 
non-overlapping channels, so that these guardbands may very well be in 
use. Furthermore, there is no guarantee that .15.4 will really find the 
guardbands (for a whole list of reasons). In practice, some tests have 
confirmed that connectivity breaks down because of this interference 
issue. I see 16 WLAN stations at work and ZigBee doesn't even manage to 
cover 10% of the theoretically promised distance. I guess this is one of 
the reasons for the existence of .15.4c and .15.4d. Best regards, Mischa.

[email-masked] wrote:
> *Mischa Dohler <[email-masked]>*

---

From: Sung Lee <[email-masked]>
Date: Thu, 17 Sep 2009 07:40:24 -0400

Dear Mischa,

As mentioned in my posting, we are currently working on a real test. We completed an indoor experiment and are currently working on an outdoor experiment where interference from radios such as 11.b/g and others are present.  In these tests, we are checking to make sure that our test set up reflects reality and checking many theoretical  measures to real measures (e.g.,the signal coverage). We are working hard to get the test data ready for the interim meeting.

Best regards,
Sung

---

From: JP Vasseur <[email-masked]>
Date: Thu, 17 Sep 2009 22:06:17 +0200

Hi Sung,

On Sep 17, 2009, at 1:40 PM, Sung Lee wrote:

> Dear Mischa,
>
> As mentioned in my posting, we are currently working on a real test.  
> We completed an indoor experiment and are currently working on an  
> outdoor experiment where interference from radios such as 11.b/g and  
> others are present.  In these tests, we are checking to make sure  
> that our test set up reflects reality and checking many theoretical   
> measures to real measures (e.g.,the signal coverage). We are working  
> hard to get the test data ready for the interim meeting.
>

Thanks, this is highly appreciated.

JP.

>>> >> Message-ID: <014601ca115b$b0629fb0$1127df10$@[email-masked] 
>>> >

---

From: Thomas Watteyne <[email-masked]>
Date: Fri, 18 Sep 2009 11:42:41 -0700

Let me quickly second Mischa's comments, as 
http://wsn.eecs.berkeley.edu/connectivity/soda/link_all_pdr_vs_channel.png 
quantifies the impact of .11 traffic on the reliability of an indoor 
15.4 network (details presented in 
http://wsn.eecs.berkeley.edu/connectivity/about.php?dataset=soda).
Thomas

Mischa Dohler wrote:
> Dear Sung,
>
> These connectivity graphs look convincing; however, I guess that one 
> of your underlying assumptions is that you run the .15.4 network 
> whilst the .11 network is switched off. In reality, you will have 
> loads of already deployed .11 networks heavily interfering with your 
> .15.4 network which immediately impacts connectivity.
>
> Mischa.
>
>
> Sung Lee wrote:
>> Dear ROLL WG members,
>>
>> comparison, we are currently working on the real test. We hope that 
>> we can provide this result before the ROLL interim meeting.
>>

---

From: Sung Lee <[email-masked]>
Date: Wed, 23 Sep 2009 06:28:20 -0400

Mischa, Thomas, and ROLL WG members,

We have *very preliminary* results from DADR implementation over
802.15.4, indoor experiments.
Please note that these are preliminary results and we are continuing
with our experiments. More complete results for indoor and outdoor will
be shared before the interim meeting.

Some facts:

   * This summarizes the indoor, multi-floor office building experiment.
   * Dimension of the building is roughly 30m x 20m, 2 floors involved
   * There were several active WLAN APs (interference from 802.11 present).
   * 11 nodes sending traffic to the gateway (MP2P) at regular interval
     (10 minutes)
   * One node was powered on/off to simulate adding/removing a node.

We are working on expanding our test environment (e.g., adding more
nodes, more rigorous testing, etc).  We will share additional data
before the interim meeting. Some observations (though not included in
the file - we are performing additional testing to reconfirm our
observation here) we made are:

  1. Preliminary results show that data reachability was high.
  2. Route varied between a given node to the destination over time.

We hope you find the data useful and we look forward to hearing your
comments.
Best regards,
Sung

---

From: Thomas Watteyne <[email-masked]>
Date: Wed, 23 Sep 2009 11:03:33 -0700

Dear Sung,
Thanks for the preliminary results. Could you confirm that you are 
implementing DADR as per 
http://tools.ietf.org/html/draft-iwao-roll-dadr-00, not RPL -01?
Thomas

---

From: Sung Lee <[email-masked]>
Date: Wed, 23 Sep 2009 15:44:58 -0400

Dear Thomas,

Yes, we implemented DADR, not RPL.
Regards,
Sung